Bug 1525213 - Soft kernel lockup on Dell XPS 15 9560
Summary: Soft kernel lockup on Dell XPS 15 9560
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Karol Herbst
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1535168
TreeView+ depends on / blocked
 
Reported: 2017-12-12 19:43 UTC by Peifeng Liu
Modified: 2019-04-04 06:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:27:08 UTC


Attachments (Terms of Use)
Kernel log, XPS15+Fedora 27, 4.14.3-300 (122.55 KB, text/x-vhdl)
2017-12-12 19:43 UTC, Peifeng Liu
no flags Details

Description Peifeng Liu 2017-12-12 19:43:14 UTC
Created attachment 1366900 [details]
Kernel log, XPS15+Fedora 27, 4.14.3-300

Description of problem:
On this machine there is kernel lockup as in previous versions. See https://bugzilla.redhat.com/show_bug.cgi?id=1447677

Version-Release number of selected component (if applicable):
4.14.3-300

Steps to Reproduce:
1. Attempt to try to log into the machine
2. The computer doesn't go through the log-in screen
3. Use the icon on top right to reboot
4. Kernel output about soft lockup is printed

Additional info:
Kernel option nouveau.runpm=0 is a workaround.

Comment 1 Ben Cotton 2018-11-27 16:36:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 20:27:08 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Peifeng Liu 2019-04-04 06:12:12 UTC
After upgrading to Fedora 30 beta, the problem seems to be gone. After I upgraded to 29 there's a ~20 seconds cursor freeze after entering password. After removing nouveau.runpm=0, that problem is also gone. No workaround is needed now. I didn't test this in 29.


Note You need to log in before you can comment on or make changes to this bug.